#ifndef morpheo_tools_viewer_bdd_ListePorts_h
#define morpheo_tools_viewer_bdd_ListePorts_h

#include <iostream>

#include <iterator>
#include "Tools/Viewer/Bdd/include/Port.h"
#include "Tools/Viewer/Bdd/include/Coord.h"
#include <qlist.h>


using namespace std;
namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     


  class ListePorts
    {
    private:
      QList<morpheo::tools::viewer::bdd::Port> *ports;
      
      int countPort(string loc);
      
    protected:


    public:
      ListePorts();
      ~ListePorts();
      QList<string> *listenames;  
      QList<morpheo::tools::viewer::bdd::Port> getPortEast(Coord *c);
      QList<morpheo::tools::viewer::bdd::Port> getPortWest(Coord *c);
      QList<morpheo::tools::viewer::bdd::Port> getPortNorth(Coord *c);
      QList<morpheo::tools::viewer::bdd::Port> getPortSouth(Coord *c);
      morpheo::tools::viewer::bdd::Port *searchPort(string v);
     

      void addport(morpheo::tools::viewer::bdd::Port *p);
      QList<Port> *getPort();


    };//end class ListePorts

};//end bdd
};//end viewer
};//end tools
};//end morpheo

#endif
